All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.discovery
Interface DiscoveryAdminInterface

All Superinterfaces:
  java.rmi.Remote

All Known Subinterfaces:
  DiscoveryServiceInterface, LocalDiscoveryServiceInterface, RemoteDiscoveryServiceInterface

All Known Implementing Classes:
  ActivatableDiscoveryService, DiscoveryService, RemoteDiscoveryServiceProxy

    public interface DiscoveryAdminInterface

extends java.rmi.Remote

Interfaces used to manage the addition/removal of services to/from a discovery service and discovery delegates used to locate services.

Discovery delegates must implement `com.sas.services.discovery.FindServiceInterface`.

Since:
  1.0

Method Summary
`void` | `addDiscoveryDelegate(FindServiceInterface findServiceIf)` Adds a discovery delegate that will be used to lookup services.
`void` | `addService(RemoteServiceInterface service)` Adds a service.
`java.util.Iterator<FindServiceInterface>` | `getDiscoverers()` Gets an iterator of the discovery delegates that are used to locate services.
`java.util.Iterator<RemoteServiceInterface>` | `getLocalServices()` Gets an iterator of locally available services.
`java.util.Iterator<RemoteServiceInterface>` | `getRemoteServices()` Gets an iterator of remotely available services.
`void` | `removeDiscoveryDelegate(FindServiceInterface findServiceIf)` Removes a discovery delegate formerly used to locate services.
`void` | `removeService(RemoteServiceInterface service)` Removes a services.

Method Detail

### addDiscoveryDelegate

    void addDiscoveryDelegate(FindServiceInterface findServiceIf)
                              throws java.rmi.RemoteException

  Adds a discovery delegate that will be used to lookup services.

  Parameters:
    `findServiceIf` - Discovery delegate to be used to lookup services.
  Throws:
    `java.rmi.RemoteException` - if a network anomaly is encountered.

### removeDiscoveryDelegate

    void removeDiscoveryDelegate(FindServiceInterface findServiceIf)
                                 throws java.rmi.RemoteException

  Removes a discovery delegate formerly used to locate services.

  Parameters:
    `findServiceIf` - Discovery delegate to remove.
  Throws:
    `java.rmi.RemoteException` - if a network anomaly is encountered.

### getDiscoverers

    java.util.Iterator<FindServiceInterface> getDiscoverers()
                                                            throws java.rmi.RemoteException

  Gets an iterator of the discovery delegates that are used to locate services.

  Returns:
    Iterator of discovery delegates.
  Throws:
    `java.rmi.RemoteException` - if a network anomaly is encountered.

### addService

    void addService(RemoteServiceInterface service)
                    throws ServiceException,
                           java.rmi.RemoteException

  Adds a service.

  Parameters:
    `service` - Service that can be discovered via a service template comprised of its service types and optionally service attributes.
  Throws:
    `ServiceException` - if unable to cache the service.
    `java.rmi.RemoteException` - if a network anomaly is encountered.

### removeService

    void removeService(RemoteServiceInterface service)
                       throws java.rmi.RemoteException

  Removes a services.

  Parameters:
    `service` - Service that is to be removed.
  Throws:
    `java.rmi.RemoteException` - if a network anomaly is encountered.

### getLocalServices

    java.util.Iterator<RemoteServiceInterface> getLocalServices()
                                                                throws java.rmi.RemoteException

  Gets an iterator of locally available services.

  Returns:
    Iterator of locally available services that implement `RemoteServiceInterface`.
  Throws:
    `java.rmi.RemoteException` - if a network anomaly is encountered.

### getRemoteServices

    java.util.Iterator<RemoteServiceInterface> getRemoteServices()
                                                                 throws java.rmi.RemoteException

  Gets an iterator of remotely available services.

  Returns:
    Iterator of remotely available services that implement `RemoteServiceInterface`.
  Throws:
    `java.rmi.RemoteException` - if a network anomaly is encountered.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.